import { Injectable, signal } from '@angular/core';

@Injectable({ providedIn: 'root' })
export class AdService {
  readonly adsEnabled = signal(false);

  enableAds(): void {
    this.adsEnabled.set(true);
  }

  disableAds(): void {
    this.adsEnabled.set(false);
  }
}
